Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
ecdsa_verify.c File Reference

EcdsaVerifyBuffer implementation. More...

`#include "epid/common/math/ecdsa.h"`
`#include "epid/common/math/bignum.h"`
`#include "epid/common/math/bignum-internal.h"`
`#include "epid/common/memory.h"`
`#include "ext/ipp/include/ippcp.h"`

## Macros
#define | BREAK_ON_IPP_ERROR(sts, ret)
| Handle Ipp Errors with Break. More...

## Functions
EpidStatus | EcdsaVerifyBuffer (void const *buf, size_t buf_len, EcdsaPublicKey const *pubkey, EcdsaSignature const *sig)
| Verifies authenticity of a digital signature over a buffer. More...

## Detailed Description

EcdsaVerifyBuffer implementation.

## Macro Definition Documentation

#define BREAK_ON_IPP_ERROR | ( |  | sts,
|  |  | ret
| ) |  |

Value:
{ \
IppStatus temp_sts = (sts); \
if (ippStsNoErr != temp_sts) { \
(ret) = kEpidMathErr; \
break; \
} \
}
kEpidMathErr
internal math error
Definition: errors.h:53

Handle Ipp Errors with Break.